### Hierarchy

- unknown
  - GetVersionReply

## Index

### Constructors

- constructor

### Methods

- getVersion
- serializeBinary
- setVersion
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetVersionReply(): GetVersionReply

- Inherited from jspb.Message.constructor

  #### Returns GetVersionReply

## Methods

### getVersion

- getVersion(): string

- - Defined in src/protobuf/grpc_pb.d.ts:57

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:60

  #### Returns Uint8Array

### setVersion

- setVersion(value: string): GetVersionReply

- - Defined in src/protobuf/grpc_pb.d.ts:58

  #### Parameters

  - ##### value: string

  #### Returns GetVersionReply

### toObject

- toObject(includeInstance?: boolean): GetVersionReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:61

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetVersionReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetVersionReply

- - Defined in src/protobuf/grpc_pb.d.ts:64

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetVersionReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetVersionReply, reader: BinaryReader): GetVersionReply

- - Defined in src/protobuf/grpc_pb.d.ts:65

  #### Parameters

  - ##### message: GetVersionReply

  - ##### reader: BinaryReader

  #### Returns GetVersionReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetVersionReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:63

  #### Parameters

  - ##### message: GetVersionReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetVersionReply ): GetVersionReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:62

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetVersionReply

  #### Returns GetVersionReply . AsObject

Generated using TypeDoc